From 07975b873a4a273b14a30681d4ed22e8f7a4ee25 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fcambus@users.sourceforge.net>
Date: Fri, 30 Oct 2015 22:43:50 +0100
Subject: [PATCH] Adding support for the rxvt-256color terminal

---
 src/nyancat.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/nyancat.c b/src/nyancat.c
index a9a1f1a..1555269 100644
--- a/src/nyancat.c
+++ b/src/nyancat.c
@@ -594,6 +594,8 @@ int main(int argc, char ** argv) {
 		ttype = 6; /* No color support */
 	} else if (strstr(term, "fallback")) {
 		ttype = 4; /* Unicode fallback */
+	} else if (strstr(term, "rxvt-256color")) {
+		ttype = 1; /* xterm 256-color compatible */
 	} else if (strstr(term, "rxvt")) {
 		ttype = 3; /* Accepts LINUX mode */
 	} else if (strstr(term, "vt100") && terminal_width == 40) {
